Bug 155129 - Build requires eu-strip from elfutils
Build requires eu-strip from elfutils
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-16 14:25 EDT by Albert Strasheim
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-14 14:35:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Albert Strasheim 2005-04-16 14:25:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6) Gecko/20050317 Firefox/1.0.2

Description of problem:
Build requires eu-strip which is part of elfutils.

The spec file does not reflect this.

Version-Release number of selected component (if applicable):
iptables-1.2.11-3.1

How reproducible:
Always

Steps to Reproduce:
1. Build iptables without elfutils installed

  

Actual Results:  Build fails

Expected Results:  Build should succeed

Additional info:
Comment 1 Thomas Woerner 2005-05-11 11:24:59 EDT
This should be an requirement of rpm-build, not iptables.
Assigning to rpm.
Comment 2 Jeff Johnson 2005-05-11 11:40:06 EDT
eu-strip is mentioned only in /usr/lib/rpm/find-debuginfo.sh which is deliberately configured off in rpm-
build in order to avoid the dependency.

The dependency needs to be in redhat-rpm-config, not rpm-build, if you must have a dependency.
Comment 3 Paul Howarth 2006-06-18 05:13:53 EDT
This is needed for FC4 too. If/when the Fedora Extras buildsystem switches to
the new version of mock that has a much smaller default package list, elfutils
won't be included by default as there is nothing in the default package list
that depends on elfutils. This will result in broken debuginfo packages and
unstripped binaries for newly-built FE4 packages.
Comment 4 Matthew Miller 2006-07-10 19:11:15 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 Paul Howarth 2006-07-11 01:54:50 EDT
Changing from FC3 to FC4. FC5 rpm-build has this dep already.
Comment 6 Matthew Miller 2006-07-11 11:47:47 EDT
Note that FC4 will enter legacy state in a few weeks, so if it isn't fixed in
Core by then, it's incredibly unlikely to get fixed at all.
Comment 7 Paul Howarth 2006-07-11 12:07:40 EDT
(In reply to comment #6)
> Note that FC4 will enter legacy state in a few weeks, so if it isn't fixed in
> Core by then, it's incredibly unlikely to get fixed at all.

True. I don't really expect it to get fixed, and it will have to be one of the
issues worked around as described in Bug #196930 for building legacy packages in
mock.
Comment 8 Paul Nasrat 2006-08-14 14:35:45 EDT
As above, fixed in later rpm but not going to release an FC4 rpm update at this
time.

Note You need to log in before you can comment on or make changes to this bug.